some cleanups in regards to requirements
authorChristian Schaller <uraeus@gnome.org>
Fri, 1 Oct 2004 17:18:09 +0000 (17:18 +0000)
committerChristian Schaller <uraeus@gnome.org>
Fri, 1 Oct 2004 17:18:09 +0000 (17:18 +0000)
Original commit message from CVS:
some cleanups in regards to requirements

README
REQUIREMENTS

diff --git a/README b/README
index 85dbcd795d543755a0b16240163821b4ba2a4a7b..7e76bd243ea99766b8c1890595f8f4685c9b41d6 100644 (file)
--- a/README
+++ b/README
@@ -104,36 +104,4 @@ with GStreamer, you have to make sure not to use GPL-linked plug-ins.
 When using GPL-linked plug-ins, GStreamer is for all practical reasons 
 under the GPL itself. 
 
 When using GPL-linked plug-ins, GStreamer is for all practical reasons 
 under the GPL itself. 
 
-The plug-ins which use a GPL library are as follows:
-cdparanoia      libcdparanoia   (http://www.xiph.org/paranoia/)
-aasink         aalib           (http://aa-project.sourceforge.net/aalib/)
-xmms           libxmms         (http://www.xmms.org)
-decdvd         ac3dec,mpeg2dec (http://linuxvideo.org/mpeg2dec/,http://linuxvideo.org/ac3dec/)a
-mad            mad             (http://www.mars.org/home/rob/proj/mpeg/)
-
-Plug-ins which use an LGPL library are as follows:
-colorspace     Hermes          (http://www.clanlib.org/hermes/)
-httpsrc                libghttp        (ftp.gnome.org/pub/GNOME/stable/sources/libghttp/)
-alsasink       alsa            (http://alsa-project.org)
-arts           aRts            (http://arts-project.org)
-sdlsink                libsdl          (http://www.libsdl.org)
-gnomevfssource  gnome-vfs       (ftp.gnome.org//pub/GNOME/stable/sources/gnome-vfs)
-gnomevfssink    gnome-vfs
-esdsink         libesd          (ftp.gnome.org/pub/GNOME/stable/sources/esound)
-icastsend       libshout        (http://www.icecast.org)
-lame            libmp3lame      (http://www.mp3dev.org/mp3/)
-gst1394         libraw1394      (http://linux1394.sourceforge.net)
-flac           libFLAC         (http://flac.sourceforge.net)
-RTP            ortp            (http://www.linphone.org/ortp/)
-
-Plug-ins which use a BSD covered library are as follows:
-vorbisenc      libogg/libvorbis        (http://www.xiph.org/ogg/vorbis)
-vorbisdec      libogg/libvorbis
-
-Plug-ins based on libraries with other free licenses:
-xvideosink     libXv           (MIT X11 / X Consortium license)
-gsm            libgsm          (MIT license http://kbs.cs.tu-berlin.de/~jutta/toast.html)
-
-Plug-ins using non-free libraries:
-wincodec       win32ddl        (http://divx.euro.ru/)
-
+There is a LICESENSE_readme file containing licensing information on the plugins
index 911231f198400b480a36a83048c7aaea89c81dae..a6a024e52df10fc2bbfe11e7cacddfac2a21438c 100644 (file)
@@ -32,8 +32,6 @@ ext/(library)
 
 libHermes      (for colorspace conversions; you need this for any video work)
                        http://www.clanlib.org/hermes/
 
 libHermes      (for colorspace conversions; you need this for any video work)
                        http://www.clanlib.org/hermes/
-libghttp       (for httpsrc)
-                       http://ftp.gnome.org/pub/GNOME/stable/sources/libghttp/
 libaudiofile    (for afsrc/afsink
                        http://oss.sgi.com/projects/audiofile/
 libmad          (for the mad mp3 decoder plugin)
 libaudiofile    (for afsrc/afsink
                        http://oss.sgi.com/projects/audiofile/
 libmad          (for the mad mp3 decoder plugin)
@@ -95,6 +93,9 @@ gtk           (for the gdk_pixbuf plugin)
                >= 2.2.1 preferred, 2.0 ok
 pango          (for the textoverlay plugins)
                        http://www.pango.org/
                >= 2.2.1 preferred, 2.0 ok
 pango          (for the textoverlay plugins)
                        http://www.pango.org/
+libHermes       (for colorspace conversion;most use ffcolorspace instead)
+                        http://www.clanlib.org/hermes/
+
 
 Optional debian packages:
 =========================
 
 Optional debian packages:
 =========================